﻿Imports System.IO

Public Class Form1
    ' Start with the executable file.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txtFile.Text = Application.ExecutablePath
    End Sub

    ' Get the information.
    Private Sub btnGetInfo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetInfo.Click
        ' Display information about the file.
        Dim info As New FileInfo(txtFile.Text)
        txtExists.Text = info.Exists.ToString()
        txtFullName.Text = info.FullName
        txtName.Text = info.Name
        txtDirectory.Text = info.Directory.FullName
        txtExtension.Text = info.Extension

        If (info.Exists) Then
            txtAttributes.Text = info.Attributes.ToString()
            txtCreationTime.Text = info.CreationTime.ToString()
            txtLastAccessTime.Text = info.LastAccessTime.ToString()
            txtLastWriteTime.Text = info.LastWriteTime.ToString()
            txtReadOnly.Text = info.IsReadOnly.ToString()
            txtLength.Text = info.Length.ToString()
        Else
            txtAttributes.Clear()
            txtCreationTime.Clear()
            txtLastAccessTime.Clear()
            txtLastWriteTime.Clear()
            txtReadOnly.Clear()
            txtLength.Clear()
        End If
    End Sub

    ' Let the user select a file.
    Private Sub btnGetFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGetFile.Click
        If ofdFile.ShowDialog() = DialogResult.OK Then
            txtFile.Text = ofdFile.FileName
        End If
    End Sub
End Class
